<?php
/*
	DevSaver Web Framework
	Copyright (c) 2013-2016 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/


// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CDenied extends CPlugin{
	
	var $tplvars; 

	function __construct() {
		//$this->CPlugin($db, $tables , $templates);
		$this->name = "denied";
		
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;



		parent::DoEvents();

		if ($_GET["mod"] == "denied") {

			$_TSM["PUB:MODULE_NAME"] = "Access Denied";			


			return $base->htmlElements->Widget(
				array(
					"title"		=> "Not enough permissions",
					"icon"		=> "cogs",
					"skin"		=> "Red",
					"height"	=> "",

					"content"	=> '
						<div class="noteSmall nInfo form-comment" id="XML_BODY_FIELD_{NAME}">
							<span class="sign sign-info"></span>
							<h3>
								<p>
									You don\'t currently have permission to access this link / operation.<br>
									Please contact your system administrator for more details.
								</p>
							</h3>
						</div>'
				)
			);
			return "access denied";

		}
	}



	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/

	


}

?>